package de.incircuit.demo.gpio;

import android.app.Activity;
import android.os.Bundle;
import android.util.Log;
import android.view.View;
import android.widget.CheckBox;
import de.incircuit.hw.GPIO;
import de.incircuit.hw.LED;

public class ledActivity extends Activity{
	private static final String TAG = "ledActivity.java";

	private LED led[] = new LED[4];
	private GPIO relais = new GPIO(247);
	
	/** Called when the activity is first created. */
    @Override
    public void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.leds);     
        
        for(int i = 0; i < 4; i++){
        	led[i] = new LED(i);
        }
        
        relais.setDirection("out");
        CheckBox rb = (CheckBox) findViewById(R.id.CheckBoxRelais);
        if(relais.getValue() == 0){
        	rb.setChecked(false);
        }
        else{
        	rb.setChecked(true);
        }
        
        rb = (CheckBox) findViewById(R.id.CheckBoxLed1);
        if(led[0].get() > 0)
        	rb.setChecked(true);
        else
        	rb.setChecked(false);
        
        rb = (CheckBox) findViewById(R.id.CheckBoxLed2);
        if(led[1].get() > 0)
        	rb.setChecked(true);
        else
        	rb.setChecked(false);
        
        rb = (CheckBox) findViewById(R.id.CheckBoxLed3);
        if(led[2].get() > 0)
        	rb.setChecked(true);
        else
        	rb.setChecked(false);
        	
        
        rb = (CheckBox) findViewById(R.id.CheckBoxLed4);
        if(led[3].get() > 0)
        	rb.setChecked(true);
        else
        	rb.setChecked(false);
        	
    }
    
    public void onClickLed(View view){
    	int l = 0;
    	if(view == findViewById(R.id.CheckBoxLed1))
    		l = 0;
    	else if(view == findViewById(R.id.CheckBoxLed2))
    		l = 1;
    	else if(view == findViewById(R.id.CheckBoxLed3))
    		l = 2;
    	else if(view == findViewById(R.id.CheckBoxLed4))
    		l = 3;
    	
    	CheckBox rb = (CheckBox) view;
    	if(rb.isChecked()){
    		led[l].set(255);
    	}
    	else{
    		led[l].set(0);
    	}
    }
    
    public void onClickRelais(View view){
    	CheckBox rb = (CheckBox) view;
    	Log.d(TAG, "onClickRelais");
    	if(rb.isChecked()){
    		relais.setValue(1);
    	}
    	else{
    		relais.setValue(0);
    	}
    }

}
