package de.incircuit.hw;

import android.util.Log;
import de.incircuit.hw.adbjni.ADBJni;

public class Buzzer {
	public static final boolean DEBUG = false;
	public static final String TAG = "Buzzer.java";
	
	public static final String BUZZER_FILE = "/sys/bus/spi/devices/spi0.0/buzzer";
	
	private ADBJni hw;
	
	public Buzzer(){
		if(DEBUG)
			Log.d(TAG, "Buzzer()");
		
		hw = new ADBJni();
	}
	
	public void setBuzzer(int freq){
		if(DEBUG)
			Log.d(TAG, "setBuzzer(freq="+freq+")");
		
		hw.writeIntegerToFile(BUZZER_FILE, freq);
	}
}
